package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

//重点公司三方名称 类似产业、标的的三方名称

type CygxReportSelectionThirdName struct {
	ThirdId             int       `orm:"column(third_id);pk"description:"类似产业、标的的三方ID"`
	ThirdName           string    `description:"类似产业、标的的三方名称"`
	ChartPermissionId   int       `description:"行业ID"`
	ChartPermissionName string    `description:"行业名称"`
	CreateTime          time.Time `description:"创建时间"`
}

type AddReportSelectionThirdNameReq struct {
	ThirdName         string `description:"类似产业、标的的三方名称"`
	ChartPermissionId int    `description:"行业ID"`
}

type AddReportSelectionThirdNameResp struct {
	ThirdName string `description:"类似产业、标的的三方名称"`
	ThirdId   string `description:"类似产业、标的的三方ID"`
}

// 添加
func AddCygxReportSelectionThirdName(item *CygxReportSelectionThirdName) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	lastId, err = o.Insert(item)
	return
}
